"use strict";
//
// Copyright 2021 Vulcanize, Inc.
//
Object.defineProperty(exports, "__esModule", { value: true });
exports.getEventNameTopics = void 0;
var ethers_1 = require("ethers");
/**
 * Function to get event name topics from abi.
 * @param abi
 */
var getEventNameTopics = function (abi) {
    var eventFragments = abi.filter(function (_a) {
        var type = _a.type;
        return type === 'event';
    });
    return eventFragments.reduce(function (acc, _a) {
        var name = _a.name, inputs = _a.inputs;
        if (inputs && name) {
            var inputParamsString = inputs.map(function (_a) {
                var type = _a.type;
                return type;
            })
                .join(',');
            var signature = ethers_1.utils.keccak256(ethers_1.utils.toUtf8Bytes("".concat(name, "(").concat(inputParamsString, ")")));
            acc[name] = signature;
        }
        return acc;
    }, {});
};
exports.getEventNameTopics = getEventNameTopics;
//# sourceMappingURL=logs.js.map